Logout API

Prev Next

This URL allows you to remove a data from the TLC server.

URL

DELETE https://<TLC_IP>:<port>/rest/TLC/v1/bindingstore/{domain}

Request

The following input parameters must be specified in the request body.

                                                                                                                                                                                                                                                           
Input parameterDescriptionData type
ip addressSpecifies the IP address of the user.String
usernameSpecifies the username .String
computernameSpecifies the name of the computer.String

Example

{
    "ipaddress": "192.168.1.1",
    "username": "user1",
    "computername": "computer1"
}

2 | Introduction to Trellix Logon Collector


Response

The following response values are displayed in the response body.

                                                                                                                                                                                                                                                           

Response

Description

Data type

status code

               

Status code 204 specifies that the delete operation is successfully made in the TLC server.                    For failure requests, the status code for the type of failure is specified.

           

Numeric

error code

               

When there is a failure in the request, it specifies the API error code signifying the type of API request failure.

           

Numeric

error message

Description of the error (optional).

String

Response Example

       
  1. Status Code: 204 No content